অংশগ্রহণকারীদের সঙ্গে কাজ

এই নির্দেশিকায় ব্যাখ্যা করা হয়েছে কিভাবে গুগল মিট REST API ব্যবহার করে, পূর্ববর্তী কোনো সম্মেলনে অংশগ্রহণকারী বা বর্তমানে কোনো সক্রিয় সম্মেলনে অংশগ্রহণকারী ব্যক্তিদের সেশন-সংক্রান্ত তথ্যসহ বিস্তারিত বিবরণ পাওয়া যায়।

অংশগ্রহণকারী হলেন এমন একজন ব্যক্তি যিনি কোনো কলে যোগদান করেছেন, অথবা কম্প্যানিয়ন মোড ব্যবহার করছেন, দর্শক হিসেবে দেখছেন, বা কলের সাথে সংযুক্ত কোনো রুম ডিভাইস ব্যবহার করছেন। প্রত্যেক ব্যক্তির জন্য একটি করে participants রিসোর্স থাকে।

একটি অংশগ্রহণকারী সেশন হলো একটি অনন্য সেশন আইডি, যা একটি কলে যোগদানকারী প্রতিটি অংশগ্রহণকারী-ডিভাইস জোড়ার জন্য তৈরি করা হয়। প্রতিটি সেশনের জন্য একটি করে 'অংশগ্রহণকারী সেশন' participantSessions রিসোর্স থাকে। যদি কোনো অংশগ্রহণকারী একই অংশগ্রহণকারী-ডিভাইস জোড়া থেকে একই কলে একাধিকবার যোগদান করেন, তবে তাদের প্রত্যেককে স্বতন্ত্র সেশন আইডি বরাদ্দ করা হয়।

আপনি যদি মিটিং স্পেসের মালিক বা অংশগ্রহণকারী হন, তাহলে অংশগ্রহণকারীদের রেকর্ড পুনরুদ্ধার করতে participants এবং participantSessions উভয় রিসোর্সের get এবং list মেথড কল করতে পারেন।

ব্যবহারকারীর পরিচয়পত্র দিয়ে প্রমাণীকরণ ও অনুমোদন করলে গুগল মিট অ্যাপগুলো ব্যবহারকারীর ডেটা অ্যাক্সেস করতে এবং প্রমাণীকৃত ব্যবহারকারীর পক্ষ থেকে বিভিন্ন কার্যক্রম সম্পাদন করতে পারে। ডোমেন-ব্যাপী প্রতিনিধি নিয়োগের মাধ্যমে প্রমাণীকরণ করলে, আপনি প্রত্যেক ব্যবহারকারীর সম্মতি ছাড়াই একটি অ্যাপ্লিকেশনের পরিষেবা অ্যাকাউন্টকে আপনার ব্যবহারকারীদের ডেটা অ্যাক্সেস করার অনুমোদন দিতে পারেন।

অংশগ্রহণকারীরা

নিম্নলিখিত বিভাগগুলিতে একটি কনফারেন্স রেকর্ডে অংশগ্রহণকারীদের সম্পর্কে তথ্য কীভাবে পাওয়া যায় তার বিশদ বিবরণ দেওয়া হয়েছে।

participants রিসোর্সটি user ফিল্ডের সাথে সংযুক্ত হয়। একজন user নিম্নলিখিত অবজেক্টগুলোর মধ্যে কেবল একটি হতে পারে:

  • একজন signedinUser হলেন হয়:

    • ব্যক্তিগত কম্পিউটার, মোবাইল ডিভাইস বা কম্প্যানিয়ন মোডের মাধ্যমে যোগদানকারী একজন ব্যক্তি।

    • কনফারেন্স রুমের ডিভাইসগুলোতে ব্যবহৃত একটি রোবট অ্যাকাউন্ট।

  • anonymousUser হলেন এমন একজন অপরিচিত ব্যবহারকারী যিনি কোনো গুগল অ্যাকাউন্টে সাইন ইন করেননি।

  • phoneUser হলেন এমন একজন ব্যবহারকারী যিনি ফোন থেকে ডায়াল করে যোগ দিচ্ছেন, যেখানে তার পরিচয় অজানা, কারণ তিনি কোনো গুগল অ্যাকাউন্ট দিয়ে সাইন ইন করেননি।

উল্লেখ্য যে, যদিও তিনটি অবজেক্টই একটি displayName রিটার্ন করে, signedinUser একটি অনন্য user আইডি-ও রিটার্ন করে যা অ্যাডমিন এসডিকে এপিআই এবং পিপল এপিআই-এর সাথে ইন্টারঅপারেবল। ফরম্যাট: users/{user} । পিপল এপিআই-এর সাথে user আইডি ব্যবহার করার বিষয়ে আরও তথ্যের জন্য, "পিপল এপিআই দিয়ে অংশগ্রহণকারীর বিবরণ পুনরুদ্ধার করুন" দেখুন।

একজন অংশগ্রহণকারী সম্পর্কে বিস্তারিত জানুন

কোনো নির্দিষ্ট অংশগ্রহণকারীর বিবরণ পেতে, participants রিসোর্সের get মেথডটি ব্যবহার করুন। name path প্যারামিটারটি conferenceRecords/{conferenceRecord}/participants/{participantRecord} ফরম্যাটে সেট করুন।

যদি আপনি অংশগ্রহণকারীর নাম না জানেন, তাহলে list পদ্ধতি ব্যবহার করে সকল অংশগ্রহণকারীর নাম তালিকাভুক্ত করতে পারেন।

এই মেথডটি অংশগ্রহণকারীর ডেটাকে ' participants রিসোর্সের একটি ইনস্ট্যান্স হিসেবে রিটার্ন করে।

নিম্নলিখিত কোড নমুনাটি দেখায় কিভাবে একজন নির্দিষ্ট অংশগ্রহণকারীকে খুঁজে বের করতে হয়:

জাভা

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/getparticipant/AsyncGetParticipant.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.GetParticipantRequest;
import com.google.apps.meet.v2.Participant;
import com.google.apps.meet.v2.ParticipantName;

public class AsyncGetParticipant {

  public static void main(String[] args) throws Exception {
    asyncGetParticipant();
  }

  public static void asyncGetParticipant() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      GetParticipantRequest request =
          GetParticipantRequest.newBuilder()
              .setName(ParticipantName.of("[CONFERENCE_RECORD]", "[PARTICIPANT]").toString())
              .build();
      ApiFuture<Participant> future =
          conferenceRecordsServiceClient.getParticipantCallable().futureCall(request);
      // Do something.
      Participant response = future.get();
    }
  }
}

নোড.জেএস

packages/google-apps-meet/samples/generated/v2/conference_records_service.get_participant.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Resource name of the participant.
 */
// const name = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callGetParticipant() {
  // Construct request
  const request = {
    name,
  };

  // Run request
  const response = await meetClient.getParticipant(request);
  console.log(response);
}

callGetParticipant();

পাইথন

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_get_participant_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_get_participant():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.GetParticipantRequest(
        name="name_value",
    )

    # Make the request
    response = await client.get_participant(request=request)

    # Handle the response
    print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARTICIPANT_NAME" \
-H "Authorization: Bearer ACCESS_TOKEN"

ACCESS_TOKEN পরিবর্তে সেই অ্যাক্সেস টোকেনটি ব্যবহার করুন যা API-তে অ্যাক্সেস প্রদান করে।

নিম্নলিখিতগুলি প্রতিস্থাপন করুন:

  • একটি কনফারেন্স রেকর্ডের মধ্যে নির্দিষ্ট কনফারেন্স আইডি-র নামসহ কনফারেন্স রেকর্ডের নাম।
  • কনফারেন্স রেকর্ডে নির্দিষ্ট অংশগ্রহণকারী আইডির নামের সাথে অংশগ্রহণকারীর নাম।

সকল অংশগ্রহণকারীদের তালিকা করুন

একটি কনফারেন্স রেকর্ডের সমস্ত অংশগ্রহণকারীদের বিবরণ তালিকাভুক্ত করতে, participants রিসোর্সের list মেথডটি ব্যবহার করুন। conferenceRecords/{conferenceRecord} ফরম্যাট ব্যবহার করে parent path প্যারামিটারটি সেট করুন।

এই মেথডটি একটি ' participants ' রিসোর্সের ইনস্ট্যান্স হিসেবে, earliestStartTime ) অনুসারে অবরোহী ক্রমে সাজানো কনফারেন্স অংশগ্রহণকারীদের একটি তালিকা রিটার্ন করে। পেজের আকার সমন্বয় করতে এবং কোয়েরির ফলাফল ফিল্টার করতে, 'কাস্টমাইজ পেজিনেশন' অথবা 'ফিল্টার দ্য পার্টিসিপেন্টস লিস্ট' দেখুন।

নিম্নলিখিত কোড নমুনাটি দেখায় কিভাবে একটি কনফারেন্স রেকর্ডে সমস্ত অংশগ্রহণকারীদের তালিকাভুক্ত করতে হয়:

জাভা

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/listparticipants/AsyncListParticipants.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordName;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.ListParticipantsRequest;
import com.google.apps.meet.v2.Participant;

public class AsyncListParticipants {

  public static void main(String[] args) throws Exception {
    asyncListParticipants();
  }

  public static void asyncListParticipants() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      ListParticipantsRequest request =
          ListParticipantsRequest.newBuilder()
              .setParent(ConferenceRecordName.of("[CONFERENCE_RECORD]").toString())
              .setPageSize(883849137)
              .setPageToken("pageToken873572522")
              .setFilter("filter-1274492040")
              .build();
      ApiFuture<Participant> future =
          conferenceRecordsServiceClient.listParticipantsPagedCallable().futureCall(request);
      // Do something.
      for (Participant element : future.get().iterateAll()) {
        // doThingsWith(element);
      }
    }
  }
}

নোড.জেএস

packages/google-apps-meet/samples/generated/v2/conference_records_service.list_participants.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Format: `conferenceRecords/{conference_record}`
 */
// const parent = 'abc123'
/**
 *  Maximum number of participants to return. The service might return fewer
 *  than this value.
 *  If unspecified, at most 100 participants are returned.
 *  The maximum value is 250; values above 250 are coerced to 250.
 *  Maximum might change in the future.
 */
// const pageSize = 1234
/**
 *  Page token returned from previous List Call.
 */
// const pageToken = 'abc123'
/**
 *  Optional. User specified filtering condition in EBNF
 *  format (https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
 *  The following are the filterable fields:
 *  * `earliest_start_time`
 *  * `latest_end_time`
 *  For example, `latest_end_time IS NULL` returns active participants in
 *  the conference.
 */
// const filter = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callListParticipants() {
  // Construct request
  const request = {
    parent,
  };

  // Run request
  const iterable = meetClient.listParticipantsAsync(request);
  for await (const response of iterable) {
      console.log(response);
  }
}

callListParticipants();

পাইথন

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_list_participants_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_list_participants():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.ListParticipantsRequest(
        parent="parent_value",
    )

    # Make the request
    page_result = client.list_participants(request=request)

    # Handle the response
    async for response in page_result:
        print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/PARENT_NAME/participants" \
-H "Authorization: Bearer ACCESS_TOKEN"

ACCESS_TOKEN পরিবর্তে সেই অ্যাক্সেস টোকেনটি ব্যবহার করুন যা API-তে অ্যাক্সেস প্রদান করে।

একটি কনফারেন্স রেকর্ডে প্যারেন্ট নামের পরিবর্তে নির্দিষ্ট কনফারেন্স আইডি-র নামটি বসান।

পেজিনেশন কাস্টমাইজ করুন অথবা অংশগ্রহণকারীদের তালিকা ফিল্টার করুন।

পেজিনেশন কাস্টমাইজ করতে বা অংশগ্রহণকারীদের ফিল্টার করতে নিম্নলিখিত কোয়েরি প্যারামিটারগুলো পাস করুন:

  • pageSize : ফেরত দেওয়ার জন্য অংশগ্রহণকারীদের সর্বোচ্চ সংখ্যা। পরিষেবাটি এই মানের চেয়ে কমও ফেরত দিতে পারে। যদি নির্দিষ্ট না করা হয়, তবে সর্বাধিক ১০০ জন অংশগ্রহণকারীকে ফেরত দেওয়া হয়। সর্বোচ্চ মান হলো ২৫০; ২৫০-এর বেশি মান স্বয়ংক্রিয়ভাবে ২৫০-এ পরিবর্তিত হয়ে যায়।

  • pageToken : পূর্ববর্তী তালিকা আহ্বান থেকে প্রাপ্ত একটি পৃষ্ঠা টোকেন। পরবর্তী পৃষ্ঠাটি পুনরুদ্ধার করতে এই টোকেনটি প্রদান করুন।

  • filter : ঐচ্ছিক। participants রিসোর্স ফলাফল থেকে নির্দিষ্ট আইটেম পুনরুদ্ধার করার জন্য একটি কোয়েরি ফিল্টার।

    আপনি earliestStartTime অথবা latestEndTime ফিল্ড ব্যবহার করে সেইসব ব্যবহারকারীদের ফিল্টার করতে পারেন যারা একটি নির্দিষ্ট সময়ের আগে যোগদান করেছেন বা পরে চলে গেছেন। উভয় ফিল্ডই RFC 3339 UTC "Zulu" ফরম্যাটে টাইমস্ট্যাম্প ব্যবহার করে, যেখানে ন্যানোসেকেন্ড রেজোলিউশন এবং সর্বোচ্চ নয়টি ভগ্নাংশ অঙ্ক থাকে: {year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z । উদাহরণস্বরূপ:

    • earliestStartTime < 2023-10-01T15:01:23Z
    • latestEndTime < 2023-10-01T15:01:23Z

    চলমান কোনো কনফারেন্সের সকল সক্রিয় অংশগ্রহণকারীর তালিকা পেতে latestEndTime IS NULL ব্যবহার করুন।

People API ব্যবহার করে অংশগ্রহণকারীর বিবরণ পুনরুদ্ধার করুন।

কোনো অংশগ্রহণকারীর বিবরণ পেতে, People API-এর people রিসোর্সের get মেথডটি ব্যবহার করুন।

  1. পাথের শেষের অংশটি ব্যবহার করে participant রিসোর্স থেকে ব্যক্তির আইডিটি বের করুন। উদাহরণস্বরূপ, যদি participant রিসোর্স ভ্যালুটি conferenceRecords/abc-123/participants/12345 হয়, তাহলে পিপল এপিআই (People API)-এর জন্য আইডিটি হবে 12345

  2. READ_SOURCE_TYPE_PROFILE , READ_SOURCE_TYPE_CONTACT , এবং READ_SOURCE_TYPE_OTHER_CONTACT ReadSourceType অন্তর্ভুক্ত করুন। এটি নিশ্চিত করে যে একটি Google Workspace সংস্থার অভ্যন্তরীণ ব্যবহারকারী এবং বাহ্যিক পরিচিতি উভয়ই প্রতিক্রিয়ায় অন্তর্ভুক্ত থাকে।

নিম্নলিখিত কোড নমুনাটি দেখায় কিভাবে কোনো ব্যক্তিকে প্রতিষ্ঠানের প্রোফাইল এবং পরিচিতি উভয় স্থানেই অনুসন্ধান করা যায়:

cURL

curl \
   'https://people.googleapis.com/v1/people/PERSON_ID?personFields=names%2CemailAddresses&sources=READ_SOURCE_TYPE_OTHER_CONTACT&sources=READ_SOURCE_TYPE_PROFILE&sources=READ_SOURCE_TYPE_CONTACT' \
   --header 'Authorization: Bearer ACCESS_TOKEN' \
   --header 'Accept: application/json' \
   --compressed

নিম্নলিখিতগুলি প্রতিস্থাপন করুন:

  • PERSON_ID : যে ব্যক্তিকে খুঁজতে হবে তার আইডি।
  • ACCESS_TOKEN : যে অ্যাক্সেস টোকেনটি একাধিক API-তে প্রবেশের অনুমতি দেয়।

অংশগ্রহণকারী সেশন

নিম্নলিখিত বিভাগগুলিতে একটি কনফারেন্স রেকর্ডে কোনো অংশগ্রহণকারীর সেশন সম্পর্কিত তথ্য কীভাবে পাওয়া যায়, তা বিস্তারিতভাবে বর্ণনা করা হয়েছে।

একজন অংশগ্রহণকারীর সেশন সম্পর্কে বিস্তারিত জানুন

কোনো নির্দিষ্ট অংশগ্রহণকারীর সেশন সম্পর্কে বিস্তারিত জানতে, participantSessions রিসোর্সের get মেথডটি ব্যবহার করুন। name path প্যারামিটারটি conferenceRecords/{conferenceRecord}/participants/{participantRecord}/participantSessions/{participantSessionRecord} ফরম্যাটে সেট করুন।

আপনি যদি অংশগ্রহণকারীর সেশনের নাম না জানেন, তাহলে list পদ্ধতি ব্যবহার করে একজন অংশগ্রহণকারীর সমস্ত সেশন তালিকাভুক্ত করতে পারেন।

এই মেথডটি অংশগ্রহণকারীর নামকে participantSessions রিসোর্সের একটি ইনস্ট্যান্স হিসেবে রিটার্ন করে।

নিম্নলিখিত কোড নমুনাটি দেখায় কিভাবে একজন নির্দিষ্ট অংশগ্রহণকারীর সেশন পুনরুদ্ধার করতে হয়:

জাভা

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/getparticipantsession/AsyncGetParticipantSession.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.GetParticipantSessionRequest;
import com.google.apps.meet.v2.ParticipantSession;
import com.google.apps.meet.v2.ParticipantSessionName;

public class AsyncGetParticipantSession {

  public static void main(String[] args) throws Exception {
    asyncGetParticipantSession();
  }

  public static void asyncGetParticipantSession() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      GetParticipantSessionRequest request =
          GetParticipantSessionRequest.newBuilder()
              .setName(
                  ParticipantSessionName.of(
                          "[CONFERENCE_RECORD]", "[PARTICIPANT]", "[PARTICIPANT_SESSION]")
                      .toString())
              .build();
      ApiFuture<ParticipantSession> future =
          conferenceRecordsServiceClient.getParticipantSessionCallable().futureCall(request);
      // Do something.
      ParticipantSession response = future.get();
    }
  }
}

নোড.জেএস

packages/google-apps-meet/samples/generated/v2/conference_records_service.get_participant_session.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Resource name of the participant.
 */
// const name = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callGetParticipantSession() {
  // Construct request
  const request = {
    name,
  };

  // Run request
  const response = await meetClient.getParticipantSession(request);
  console.log(response);
}

callGetParticipantSession();

পাইথন

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_get_participant_session_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_get_participant_session():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.GetParticipantSessionRequest(
        name="name_value",
    )

    # Make the request
    response = await client.get_participant_session(request=request)

    # Handle the response
    print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARTICIPANT_NAME/participantSessions/PARTICIPANT_SESSION_ID" \
-H "Authorization: Bearer ACCESS_TOKEN"

ACCESS_TOKEN পরিবর্তে সেই অ্যাক্সেস টোকেনটি ব্যবহার করুন যা API-তে অ্যাক্সেস প্রদান করে।

নিম্নলিখিতগুলি প্রতিস্থাপন করুন:

  • একটি কনফারেন্স রেকর্ডের মধ্যে নির্দিষ্ট কনফারেন্স আইডি-র নামসহ কনফারেন্স রেকর্ডের নাম।
  • কনফারেন্স রেকর্ডে নির্দিষ্ট অংশগ্রহণকারী আইডির নামের সাথে অংশগ্রহণকারীর নাম।
  • নির্দিষ্ট অংশগ্রহণকারী সেশনের আইডি সহ অংশগ্রহণকারী সেশন আইডি।

সকল অংশগ্রহণকারী সেশন তালিকাভুক্ত করুন

একটি কনফারেন্স রেকর্ডে কোনো অংশগ্রহণকারীর সমস্ত সেশনের বিবরণ তালিকাভুক্ত করতে, participantSessions রিসোর্সের list() মেথডটি ব্যবহার করুন। parent path প্যারামিটারটি conferenceRecords/{conferenceRecord}/participants/{participantRecord} ফরম্যাটে সেট করুন।

এই মেথডটি অংশগ্রহণকারী সেশনগুলির একটি তালিকা, startTime অনুসারে অবরোহী ক্রমে, একটি participantSession রিসোর্সের ইনস্ট্যান্স হিসাবে ফেরত দেয়। পৃষ্ঠার আকার সামঞ্জস্য করতে এবং কোয়েরির ফলাফল ফিল্টার করতে, "পেজিনেশন কাস্টমাইজ করুন" অথবা "অংশগ্রহণকারী সেশন তালিকা ফিল্টার করুন" দেখুন।

নিম্নলিখিত কোড নমুনাটি দেখায় কিভাবে একটি কনফারেন্স রেকর্ডে সকল অংশগ্রহণকারীর সেশন তালিকাভুক্ত করতে হয়:

জাভা

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/listparticipantsessions/AsyncListParticipantSessions.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.ListParticipantSessionsRequest;
import com.google.apps.meet.v2.ParticipantName;
import com.google.apps.meet.v2.ParticipantSession;

public class AsyncListParticipantSessions {

  public static void main(String[] args) throws Exception {
    asyncListParticipantSessions();
  }

  public static void asyncListParticipantSessions() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      ListParticipantSessionsRequest request =
          ListParticipantSessionsRequest.newBuilder()
              .setParent(ParticipantName.of("[CONFERENCE_RECORD]", "[PARTICIPANT]").toString())
              .setPageSize(883849137)
              .setPageToken("pageToken873572522")
              .setFilter("filter-1274492040")
              .build();
      ApiFuture<ParticipantSession> future =
          conferenceRecordsServiceClient.listParticipantSessionsPagedCallable().futureCall(request);
      // Do something.
      for (ParticipantSession element : future.get().iterateAll()) {
        // doThingsWith(element);
      }
    }
  }
}

নোড.জেএস

packages/google-apps-meet/samples/generated/v2/conference_records_service.list_participant_sessions.js
// Copyright 2026 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ** This file is automatically generated by gapic-generator-typescript. **
// ** https://github.com/googleapis/gapic-generator-typescript **
// ** All changes to this file may be overwritten. **



'use strict';

function main(parent) {
  /**
   * This snippet has been automatically generated and should be regarded as a code template only.
   * It will require modifications to work.
   * It may require correct/in-range values for request initialization.
   * TODO(developer): Uncomment these variables before running the sample.
   */
  /**
   *  Required. Format:
   *  `conferenceRecords/{conference_record}/participants/{participant}`
   */
  // const parent = 'abc123'
  /**
   *  Optional. Maximum number of participant sessions to return. The service
   *  might return fewer than this value. If unspecified, at most 100
   *  participants are returned. The maximum value is 250; values above 250 are
   *  coerced to 250. Maximum might change in the future.
   */
  // const pageSize = 1234
  /**
   *  Optional. Page token returned from previous List Call.
   */
  // const pageToken = 'abc123'
  /**
   *  Optional. User specified filtering condition in EBNF
   *  format (https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
   *  The following are the filterable fields:
   *  * `start_time`
   *  * `end_time`
   *  For example, `end_time IS NULL` returns active participant sessions in
   *  the conference record.
   */
  // const filter = 'abc123'

  // Imports the Meet library
  const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

  // Instantiates a client
  const meetClient = new ConferenceRecordsServiceClient();

  async function callListParticipantSessions() {
    // Construct request
    const request = {
      parent,
    };

    // Run request
    const iterable = meetClient.listParticipantSessionsAsync(request);
    for await (const response of iterable) {
        console.log(response);
    }
  }

  callListParticipantSessions();
}

process.on('unhandledRejection', err => {
  console.error(err.message);
  process.exitCode = 1;
});
main(...process.argv.slice(2));

পাইথন

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_list_participant_sessions_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_list_participant_sessions():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.ListParticipantSessionsRequest(
        parent="parent_value",
    )

    # Make the request
    page_result = client.list_participant_sessions(request=request)

    # Handle the response
    async for response in page_result:
        print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARENT_NAME/participantSessions" \
-H "Authorization: Bearer ACCESS_TOKEN"

ACCESS_TOKEN পরিবর্তে সেই অ্যাক্সেস টোকেনটি ব্যবহার করুন যা API-তে অ্যাক্সেস প্রদান করে।

নিম্নলিখিতগুলি প্রতিস্থাপন করুন:

  • একটি কনফারেন্স রেকর্ডের মধ্যে নির্দিষ্ট কনফারেন্স আইডি-র নামসহ কনফারেন্স রেকর্ডের নাম।
  • একটি কনফারেন্স রেকর্ডে একজন অংশগ্রহণকারীর সেশনগুলোর নামের সাথে তার মূল নামও থাকে।

পেজিনেশন কাস্টমাইজ করুন অথবা অংশগ্রহণকারীদের সেশন তালিকা ফিল্টার করুন।

অংশগ্রহণকারী সেশনগুলির পেজিনেশন কাস্টমাইজ করতে বা ফিল্টার করতে নিম্নলিখিত ঐচ্ছিক কোয়েরি প্যারামিটারগুলি পাস করুন:

  • pageSize : ফেরত দেওয়ার জন্য অংশগ্রহণকারী সেশনের সর্বোচ্চ সংখ্যা। পরিষেবাটি এই মানের চেয়ে কমও ফেরত দিতে পারে। যদি নির্দিষ্ট না করা হয়, তবে সর্বাধিক ১০০টি অংশগ্রহণকারী সেশন ফেরত দেওয়া হয়। সর্বোচ্চ মান হলো ২৫০; ২৫০-এর বেশি মান স্বয়ংক্রিয়ভাবে ২৫০-এ পরিবর্তিত হয়ে যায়।

  • pageToken : পূর্ববর্তী তালিকা আহ্বান থেকে প্রাপ্ত একটি পৃষ্ঠা টোকেন। পরবর্তী পৃষ্ঠাটি পুনরুদ্ধার করতে এই টোকেনটি প্রদান করুন।

  • filter : ঐচ্ছিক। participants রিসোর্স ফলাফল থেকে নির্দিষ্ট আইটেম পুনরুদ্ধার করার জন্য একটি কোয়েরি ফিল্টার।

    আপনি startTime বা endTime ফিল্ড ব্যবহার করে সেইসব ব্যবহারকারীদের ফিল্টার করতে পারেন যারা একটি নির্দিষ্ট সময়ের আগে যোগদান করেছেন বা পরে চলে গেছেন। উভয় ফিল্ডই RFC 3339 UTC "Zulu" ফরম্যাটে টাইমস্ট্যাম্প ব্যবহার করে, যার রেজোলিউশন ন্যানোসেকেন্ড এবং এতে সর্বোচ্চ নয়টি ভগ্নাংশ অঙ্ক থাকে: {year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z । উদাহরণস্বরূপ:

    • startTime < 2023-10-01T15:01:23Z
    • endTime < 2023-10-01T15:01:23Z

    কনফারেন্স রেকর্ডে সকল সক্রিয় অংশগ্রহণকারী সেশন তালিকাভুক্ত করতে, endTime IS NULL ব্যবহার করুন।